3 Replies Latest reply: Jan 8, 2013 8:35 AM by Klaus1
Mapple Level 1 Level 1

Hi everyone, I have done some research on Empire Total War and it looks like a very fun game. The problem is im running on Snow Leapord and dont have the requirements to upgrade to Lion. Snow Leapord - 10.6.8 while Lion - 10.7.5. The requirement im missing is a dual core 2 processor. Is there anway I can get this amazing game with out having to purchase a new computer?

 

Thanks

Solved by Klaus1 on Jan 8, 2013 8:35 AM Solved

Sorry. If your Mac can't run Lion, it can't run Lion!

Reply by Mapple  on Jan 8, 2013 8:34 AM Helpful

Well I know the requirements, I must have Lion... Which I can't get becuase I dont have a dual core 2 processor. Do you know is there any other way to get this? or possibly update to Lion some magic way?

Reply by Klaus1 on Jan 8, 2013 8:26 AM Helpful

You will have to ask the developers of that game for the system requirements.

All replies